import Foundation

enum AdFormat: CustomStringConvertible, CaseIterable {
    
    case displayBanner
    case videoBanner
    case displayInterstitial
    case videoInterstitial
    case videoRewarded
    case native
    
    var description: String {
        switch self {
        case .displayBanner:
            return "Display Banner"
        case .videoBanner:
            return "Mrec Banner"
        case .displayInterstitial:
            return "Display Interstitial"
        case .videoInterstitial:
            return "Video Interstitial"
        case .videoRewarded:
            return "Video Rewarded"
        case .native:
            return "Native"
        }
    }
}
